aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorshuai chen <chenshuai@huawei.com>2015-12-31 10:41:37 +0000
committerGerrit Code Review <gerrit@172.30.200.206>2015-12-31 10:41:37 +0000
commitdaf5a58986e02e897359a792028e8157d7a7ad1b (patch)
treef853b7f697e284689f079832e30360f6a4b285c7
parent8810e8a18e59e3c23fbd3e583fe6e347158ef464 (diff)
parent4a6728a4fc08adb68cb3da2f3af8f1e366693a82 (diff)
Merge "modify the network and indentity password"
-rwxr-xr-xbuild.sh14
-rw-r--r--deploy/adapters/ansible/roles/keystone/vars/main.yml2
-rw-r--r--deploy/conf/base.conf4
3 files changed, 13 insertions, 7 deletions
diff --git a/build.sh b/build.sh
index d3bc3f28..e24df446 100755
--- a/build.sh
+++ b/build.sh
@@ -32,12 +32,18 @@ function download_git()
file_dir=$CACHE_DIR/${1%.*}
if [[ -d $file_dir/.git ]]; then
cd $file_dir
- git pull origin master
+ source=`git remote -v | head -n 1 | awk '{print $2}'`
+ if [[ $2 == $source ]]; then
+ git pull origin master
+ if [[ $? -eq 0 ]]; then
+ cd -
+ return
+ fi
+ fi
cd -
- else
- rm -rf $CACHE_DIR/$file_dir
- git clone $2 $file_dir
fi
+ rm -rf $CACHE_DIR/${1%.*}
+ git clone $2 $file_dir
}
function download_url()
diff --git a/deploy/adapters/ansible/roles/keystone/vars/main.yml b/deploy/adapters/ansible/roles/keystone/vars/main.yml
index dc660e97..73582252 100644
--- a/deploy/adapters/ansible/roles/keystone/vars/main.yml
+++ b/deploy/adapters/ansible/roles/keystone/vars/main.yml
@@ -99,7 +99,7 @@ os_users:
tenant_description: "Service Tenant"
- user: keystone
- password: "{{ keystone_PASS }}"
+ password: "{{ KEYSTONE_PASS }}"
email: keystone@admin.com
role: admin
tenant: service
diff --git a/deploy/conf/base.conf b/deploy/conf/base.conf
index 440b3e03..d7d2f4ef 100644
--- a/deploy/conf/base.conf
+++ b/deploy/conf/base.conf
@@ -59,6 +59,6 @@ export GATEWAY="10.1.0.1"
export SERVER_CREDENTIAL="root=root"
export LOCAL_REPO_URL=""
export OS_CONFIG_FILENAME=""
-export SERVICE_CREDENTIALS="image:service=service,compute:service=service,dashboard:service=service,identity:service=service,metering:service=service,rabbitmq:service=service,volume:service=service,mysql:service=service,heat:heat=heat_secret"
-export CONSOLE_CREDENTIALS="admin:console=console,compute:console=console,dashboard:console=console,image:console=console,metering:console=console,network:console=console,object-store:console=console,volume:console=console,heat:heat=heat_db_secret"
+export SERVICE_CREDENTIALS="image:service=service,compute:service=service,dashboard:service=service,identity:service=service,image:service=service,metering:service=service,network:service=service,rabbitmq:service=service,volume:service=service,mysql:service=service,heat:heat=heat_db_secret"
+export CONSOLE_CREDENTIALS="admin:console=console,demo:console=console,compute:console=console,dashboard:console=console,identity:console=console,image:console=console,metering:console=console,network:console=console,object-store:console=console,volume:console=console,heat:heat=heat_secret"
export PACKAGE_CONFIG_FILENAME=""